Thunderbird 11 transition

Bug #951262 reported by Chris Coulson on 2012-03-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
enigmail (Ubuntu)
Undecided
Unassigned
Oneiric
Undecided
Unassigned
lightning-extension (Ubuntu)
Undecided
Unassigned
Oneiric
Undecided
Unassigned
thunderbird (Ubuntu)
Undecided
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 11.0+build1-0ubuntu0.11.10.1

---------------
thunderbird (11.0+build1-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream stable release (THUNDERBIRD_11_0_BUILD1)
    - see LP: #951262 for USN information

  * Update globalmenu-extension to 2.0.3
  * Drop patches fixed upstream:
    - remove debian/patches/fix-cursor-handling.patch
    - update debian/patches/series
  * Refresh patches:
    - update debian/patches/theme-refresh-messenger-toolbar-icons.patch
  * Ensure we include locales in the tarball if they are in shipped-locales
    but not in all-locales
    - update debian/build/create-tarball.py
  * Always set the update channel - not setting it at build-time on release
    builds breaks the extensions.checkCompatibility pref. The only things
    using it at runtime are nsBlocklistService, Test Pilot (beta + aurora)
    and the about dialog (where the channel is hidden anyway)
    - update debian/rules
    - update debian/thunderbird.install.in
  * Fix LP: #898883 - IPC xpcshell tests hang the buildd's. Give all
    xpcshell tests an X display, as plugin-container won't work without one
    - update debian/build/testsuite.mk
  * Turn on all IPC xpcshell tests again (only applicable when the testsuite
    is enabled in the future)
    - update debian/build/testsute.mk
  * Update theme-refresh-messenger-toolbar-icons.patch to work with
    tabs-on-top, where the toolbar isn't styled like the menubar
    - update debian/patches/theme-refresh-messenger-toolbar-icons.patch
  * Refresh shipped locales for beta (addition of Armenian and Croatian)
    - refresh debian/config/locales.shipped
    - refresh debian/config/locales.all
    - refresh debian/control
  * Fix LP: #915895 - Just set autoDisableScopes to 0. Other distributions
    are already doing this, and we already made this feature pretty much
    useless by allowing extensions in the application directory, so that our
    language packs aren't disabled by default
    - update debian/vendor.js
  * Fix LP: #939657 - Don't call g_settings_new each time we create a HTTP
    channel. Doing this causes a dbus roundtrip, and results in us spamming
    the session bus and dbus-daemon using lots of CPU when updating mailboxes
    - add debian/patches/avoid-dbus-roundtrip-for-httpchannel.patch
    - update debian/patches/series
  * Fix LP: #926495 - Add patch based on one from bmo: #691898 to enable
    building on ppc again
    - add debian/patches/fix-build-failure-without-yarr-jit.patch
    - update debian/patches/series
  * Fix LP: #926495 - Disable the SPS profiler on unsupported architectures
    - add debian/patches/no-sps-profiler-on-unsupported-archs.patch
    - update debian/patches/series
 -- Chris Coulson <email address hidden> Sat, 10 Mar 2012 01:00:14 +0000

Changed in thunderbird (Ubuntu):
status: New → Fix Released
Micah Gersten (micahg) on 2012-03-21
summary: - Placeholder bug
+ Thunderbird 11 transition
Changed in lightning-extension (Ubuntu):
status: New → Invalid
Changed in thunderbird (Ubuntu Oneiric):
status: New → Fix Released
Changed in enigmail (Ubuntu):
status: New → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightning-extension - 1.3+build1-0ubuntu0.11.10.1

---------------
lightning-extension (1.3+build1-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream stable release (CALENDAR_1_3_BUILD1)
    - LP: #951262
  * Drop 02_fix_system_libxul_build.patch - this is fixed upstream
  * Add mozilla/mfbt to tarball
 -- Chris Coulson <email address hidden> Fri, 09 Mar 2012 11:09:07 +0000

Changed in lightning-extension (Ubuntu Oneiric):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package enigmail - 2:1.4-0ubuntu0.11.10.1

---------------
enigmail (2:1.4-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream release v1.4
    - LP: #951262
 -- Chris Coulson <email address hidden> Sun, 04 Mar 2012 22:50:52 +0000

Changed in enigmail (Ubuntu Oneiric):
status: New → Fix Released
Micah Gersten (micahg) on 2012-03-21
Changed in thunderbird (Ubuntu):
status: Fix Released → Opinion
status: Opinion → Invalid
Micah Gersten (micahg) on 2012-03-23
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers